<?php

namespace Bydedi\FileUpload\Exception;

use LogicException;
use Throwable;

/**
 * Class ExtensionNotFoundException
 * @package Bydedi\FileUpload\Exception
 */
class ExtensionNotFoundException extends LogicException
{
    /**
     * ExtensionNotFoundException constructor.
     * @param string $message
     * @param int $code
     * @param Throwable|null $previous
     * @param string $extension
     */
    public function __construct($message = "", $code = 0, Throwable $previous = null, $extension = "")
    {
        if (empty($message)) {
            $message = sprintf('The extension %s does\'nt exist', $extension);
        }
        parent::__construct($message, $code, $previous);
    }
}
