<?php

/**
 * Class FileExtensionTest
 */
class FileExtensionTest extends \PHPUnit\Framework\TestCase
{
    /**
     * @var \Bydedi\FileUpload\File
     */
    protected $file;

    public function setUp()
    {
        $this->file = new \Bydedi\FileUpload\File();

        $this->file
            ->addExtension('.pdf')
            ->addExtension('.csv')
        ;
    }

    public function testExtensionValidSuccess()
    {
        $result = $this->file->isExtensionValid('text/csv');

        $this->assertTrue($result);
    }

    public function testExtensionValidFail()
    {
        $result = $this->file->isExtensionValid('application/msword');

        $this->assertFalse($result);
    }

    /**
     * @expectedException \Bydedi\FileUpload\Exception\ExtensionNotFoundException
     */
    public function testAddExtensionException()
    {
        $this->file->addExtension('.xyz');
    }
}
