<?php

/**
 * Class FileSizeTest
 */
class FileSizeTest extends \PHPUnit\Framework\TestCase
{
    /**
     * @var \Bydedi\FileUpload\File
     */
    protected $file;

    public function setUp()
    {
        $this->file = new \Bydedi\FileUpload\File();

        $this->file
            ->setSize('2mb')
        ;
    }

    public function testSizeValidSuccess()
    {
        $result = $this->file->isSizeValid(2097152);    // value is equal = 2mb
        $this->assertTrue($result);

        $result = $this->file->isSizeValid(1048576);    // value is lower 1mb
        $this->assertTrue($result);
    }

    public function testSizeValidFail()
    {
        $result = $this->file->isSizeValid(3145728);        // 3mb

        $this->assertFalse($result);
    }
}
